@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          sqtmCoreAnchorLastPanel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="dashboardTitle"
          class="anchor"
        >
          <ng-template #dashboardTitle>
            <div
              class="flex-row full-width"
              style="overflow: hidden; justify-content: space-between"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                @if (componentData.dashboard) {
                  <span>{{ componentData.dashboard.name }} </span>
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
              <div class="flex-row" style="overflow: hidden">
                @if (componentData.statistics || componentData.dashboard) {
                  <div
                    class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                  >
                    {{
                      'sqtm-core.generic.date.prefix.generated-on'
                        | translate
                        | capitalize
                    }}
                    {{ componentData.generatedDashboardOn | date: 'medium' }}
                  </div>
                }
                <button
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  class="flex-fixed-size"
                  [attr.data-test-element-id]="'refresh-button'"
                  (click)="refreshStats($event, $extendHighLvlReqScope())"
                >
                  <span>
                    <i nz-icon nzType="reload" nzTheme="outline"></i>
                  </span>
                </button>
                @if (
                  componentData.statistics &&
                  componentData.canShowFavoriteDashboard
                ) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'favorite-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.favorite' | translate
                    "
                    (click)="
                      displayFavoriteDashboard($event, $extendHighLvlReqScope())
                    "
                  >
                    <span>
                      {{ 'sqtm-core.generic.label.favorite' | translate }}
                    </span>
                  </button>
                }
                @if (!componentData.statistics) {
                  <button
                    class="flex-fixed-size m-l-5"
                    [attr.data-test-element-id]="'default-button'"
                    nz-button
                    [nzType]="'primary'"
                    [nzSize]="'small'"
                    nz-tooltip
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.default' | translate
                    "
                    (click)="
                      displayDefaultDashboard($event, $extendHighLvlReqScope())
                    "
                  >
                    {{ 'sqtm-core.generic.label.default' | translate }}
                  </button>
                }
                <span class="m-l-10">
                  <sqtm-core-filter-icon-menu
                    [isChecked]="$extendHighLvlReqScope()"
                    [checkBoxLabel]="
                      'sqtm-core.search.requirement.criteria.extended-scope.label'
                    "
                    [helpTooltip]="
                      'sqtm-core.requirement-workspace.statistics.extended-scope.tooltip'
                    "
                    (confirmEvent)="changeExtendedScope($event)"
                  >
                  </sqtm-core-filter-icon-menu>
                </span>
              </div>
            </div>
          </ng-template>
          @if (componentData.dashboardLoaded) {
            @if (componentData.statistics) {
              <sqtm-app-requirement-statistics-panel
                [statistics]="componentData.statistics"
                [scope]="this.getStatisticsScope(componentData)"
                [milestoneModeData]="
                  referentialDataService.milestoneModeData$ | async
                "
              >
              </sqtm-app-requirement-statistics-panel>
            }
            @if (componentData.dashboard) {
              <div style="height: 84vh">
                @if (
                  componentData.dashboard.chartBindings.length !== 0 ||
                  componentData.dashboard.reportBindings.length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [dashboardId]="componentData.dashboard.id"
                    [chartBindings]="getChartBindings(componentData.dashboard)"
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            }
            @if (!componentData.dashboard && !componentData.statistics) {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          } @else {
            <span
              class="label-color font-14-px m-r-10 __hover_pointer"
              (click)="refreshStats($event, $extendHighLvlReqScope())"
              >{{
                'sqtm-core.generic.label.dashboard.generate' | translate
              }}...</span
            >
          }
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
  <ng-template #generate>
    <span
      class="label-color font-14-px m-r-10 __hover_pointer"
      (click)="refreshStats($event, $extendHighLvlReqScope())"
      >{{ 'sqtm-core.generic.label.dashboard.generate' | translate }}...</span
    >
  </ng-template>
}
